<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useWorkflowOutputListener](./react.useworkflowoutputlistener.md)

## useWorkflowOutputListener() function

<b>Signature:</b>

```typescript
export declare function useWorkflowOutputListener(workflow: Workflow, setOutput?: ((tables: TableContainer[]) => void) | undefined): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow |  |
|  setOutput | ((tables: TableContainer\[\]) =&gt; void) \| undefined | <i>(Optional)</i> |

<b>Returns:</b>

void

